Skip to content

Update a case with a partial update (PATCH).

Request

Security
bearerAuth and apiKeyAuth
Query
idstring

Case ID

caseNumberstring

Case number

Bodyapplication/jsonrequired
subjectstring

Subject for the case

descriptionstring

Description for the case

dueDateinteger, (int64)

Case due date

addedNotifyUsersArray of integers, (int64)

Users to add for notifications on the case

removedNotifyUsersArray of integers, (int64)

Users to be removed from notifications on the case

syncedNotifyUsersArray of integers, (int64)

Users to be updated for notifications on the case. This will replace any existing users already added for notification.

syncedSelectedChannelCustomPropertiesArray of any(ChannelProperties)

Channel custom properties to be synced on the case

workflowobject(WorkflowPatchRequestDTO)

Workflow details of the case. It includes custom properties, queues, assignment details.

disassociateCaseIdsArray of strings

Case IDs to disassociate from this case

addedExternalCasesArray of objects(ExternalCase)

External cases associated with this case

updateCustomFieldsInCRMboolean

Whether to update custom fields in CRM

installedAppIdstring

Installed app ID

installedAppOrgIdstring

Installed app organization ID

installedAppUserIdstring

Installed app user ID

applicationUserIdstring

Application user ID

channelOwnerIdstring

Channel owner ID

additionalInformationobject

Additional information

priorityRankinteger, (int32)

Priority rank

priorityIncreasePerMinuteinteger, (int32)

Priority increase per minute

summarystring

Case summary

smartSummaryobject(SmartSummary)

Case AI+ summary

attachmentany(Attachment)
contactobject(Contact)

Contact details of the case

statusstring

The state of the case. e.g. Open, Pending, Closed

prioritystring

The Urgency of the case with which case should be addressed

caseTypestring

The type of the case. e.g. Problem, Incident, Task

externalCaseobject(ExternalCase)

Details of linked third party case

curl -i -X PATCH \
  'https://developer.sprinklr.com/_mock/apis/sprinklr-v3/case?id=string&caseNumber=string' \
  -H 'Authorization: Bearer <YOUR_Token_HERE>' \
  -H 'Content-Type: application/json' \
  -H 'Key: YOUR_API_KEY_HERE' \
  -d '{
    "subject": "string",
    "description": "string",
    "dueDate": 0,
    "addedNotifyUsers": [
      0
    ],
    "removedNotifyUsers": [
      0
    ],
    "syncedNotifyUsers": [
      0
    ],
    "syncedSelectedChannelCustomProperties": [
      {
        "channelType": "SPRINKLR_LIVE_CHAT",
        "browser": "string",
        "device": "string",
        "pageTitle": "string",
        "pageUrl": "string",
        "initiator": "string",
        "ipAddress": "string",
        "screenResolution": "string",
        "locale": "string",
        "timeZone": "string",
        "conversationClosed": "string",
        "country": "string",
        "language": "string",
        "userAgent": "string"
      }
    ],
    "workflow": {
      "assignment": {
        "assigneeId": "string",
        "assigneeType": "string",
        "assignedById": 0,
        "assignmentTime": 0
      },
      "addedCustomProperties": {
        "property1": [
          "string"
        ],
        "property2": [
          "string"
        ]
      },
      "removedCustomProperties": {
        "property1": [
          "string"
        ],
        "property2": [
          "string"
        ]
      },
      "syncedCustomProperties": {
        "property1": [
          "string"
        ],
        "property2": [
          "string"
        ]
      },
      "syncedSelectedCustomProperties": {
        "property1": [
          "string"
        ],
        "property2": [
          "string"
        ]
      },
      "incrementCustomProperties": {
        "property1": [
          0
        ],
        "property2": [
          0
        ]
      },
      "addedQueues": [
        0
      ],
      "removedQueues": [
        0
      ],
      "syncedQueues": [
        0
      ]
    },
    "disassociateCaseIds": [
      "string"
    ],
    "addedExternalCases": [
      {
        "id": "string",
        "caseNumber": "string",
        "channelType": "string",
        "permalink": "string",
        "createdTime": 0,
        "modifiedTime": 0,
        "clientId": 0,
        "subDomain": "string",
        "additional": {
          "property1": "string",
          "property2": "string"
        }
      }
    ],
    "updateCustomFieldsInCRM": true,
    "installedAppId": "string",
    "installedAppOrgId": "string",
    "installedAppUserId": "string",
    "applicationUserId": "string",
    "channelOwnerId": "string",
    "permalink": "string",
    "additionalInformation": {
      "property1": {},
      "property2": {}
    },
    "priorityRank": 0,
    "priorityIncreasePerMinute": 0,
    "summary": "string",
    "smartSummary": {
      "summary": "string",
      "lastEditedByUser": 0,
      "modifiedTime": 0
    },
    "attachment": {
      "type": "IMAGE",
      "assetId": "string",
      "attachmentOptions": [
        {
          "channelType": "FACEBOOK",
          "accountId": 0,
          "embeddable": true,
          "category": "string",
          "noStory": true,
          "secret": true,
          "blockSocialActions": true,
          "expirationEnabled": true,
          "expirationDate": 0,
          "deletePost": true
        }
      ],
      "url": "string",
      "urlHash": "string",
      "title": "string",
      "description": "string",
      "previewUrl": "string",
      "hashedPreviewUrl": "string",
      "mimeType": "string",
      "alternateText": "string",
      "height": 0.1,
      "width": 0.1,
      "encryptedUrl": "string",
      "sizeInBytes": 0
    },
    "contact": {
      "id": "string",
      "name": "string",
      "channelType": "string",
      "channelId": "string",
      "fromSnUserId": "string"
    },
    "status": "string",
    "priority": "string",
    "caseType": "string",
    "externalCase": {
      "id": "string",
      "caseNumber": "string",
      "channelType": "string",
      "permalink": "string",
      "createdTime": 0,
      "modifiedTime": 0,
      "clientId": 0,
      "subDomain": "string",
      "additional": {
        "property1": "string",
        "property2": "string"
      }
    }
  }'

Responses

Success

Bodyapplication/json
string(AssigneeType)
Response
"string"